local StateInterface = class("StateInterface")

function StateInterface:enter(params)
end

function StateInterface:tick()
end

function StateInterface:exit()
end

function StateInterface:clear()
end

return StateInterface